# dotfiles

This is just a bunch of dotfiles.


## ArchLinux packages

``` sh
# Base utils
pacman -S bat duf eza htop inetutils jq kitty-terminfo neovim openssh tmux transmission-cli tree wget whois zellij zsh zsh-syntax-highlighting
pacman -S shared-mime-info xdg-user-dirs
pacman -S reflector
pacman -S skim
pacman -S yazi unarchiver ffmpegthumbnailer fd ripgrep poppler zoxide
# Rust
pacman -S cargo-audit cargo-outdated cargo-release rustup
# CLI software
pacman -S dog exiv2 gnupg imagemagick mkcert ncdu nmap pass playerctl python-black python-shodan python-weasyprint qrencode rsync shellcheck sqlmap ssh-audit yt-dlp
# Hyprland
pacman -S hyprland xdg-desktop-portal-hyprland wofi qt5-wayland qt6-wayland
pacman -S pipewire wireplumber pipewire-audio pipewire-alsa pipewire-pulse pipewire-jack pipewire-x11-bell
pacman -S brightnessctl dunst hyprpaper otf-font-awesome udiskie waybar wl-clipboard
pacman -S grim slurp
pacman -S swaylock
# Graphical software
pacman -S atril firefox gedit gimp handbrake kitty mpv openshot pcmanfm-gtk3 rhythmbox ristretto sweethome3d tumbler thunderbird vlc zathura zathura-pdf-mupdf
pacman -S gvfs xarchiver
# Fonts
pacman -S noto-fonts noto-fonts-emoji ttf-dejavu ttf-inconsolata ttf-liberation ttf-roboto
# Archives
pacman -S unrar p7zip zip unzip minizip
# Command-line copy/paste utilities
pacman -S wl-clipboard xclip
# MS-DOS
pacman -S dosfstools mtools
# AUR
pacman -S pacman-contrib namcap
# Smartcards
pacman -S ccid libnfc mfoc opensc pcsc-tools pcsclite
```

``` sh
# Base utils
yay -S liquidprompt vim-plug
# Printer
yay -S brother-dcp1610w brscan-skey brscan4
# Graphical software
yay -S cardpeek
```

## vim

Plugins are managed by `vim-plug`, which is installed from the AUR.

``` sh
vim +PlugInstall
```


## wallpaper

The wallpaper is randomly set from images (png, jpg and jpeg) from `~/pictures/wallpapers/enabled/`. You should populate this directory with symbolic links pointing to images stored in `~/pictures/wallpapers/`.


## /etc/locale.conf

```
cat >/etc/locale.conf << EOF
LANG=en_US.UTF-8
LC_ADDRESS=fr_FR.UTF-8
LC_MEASUREMENT=fr_FR.UTF-8
LC_PAPER=fr_FR.UTF-8
LC_TIME=fr_FR.UTF-8
EOF
```
